Bug 1659026

Summary: Drop requirement on sonatype-oss-parent
Product: [oVirt] ovirt-engine Reporter: Sandro Bonazzola <sbonazzo>
Component: Builtin-Extesnsion.InternalAssignee: Martin Perina <mperina>
Status: CLOSED CURRENTRELEASE QA Contact: Eli Mesika <emesika>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: ---CC: bugs, mperina
Target Milestone: ovirt-4.3.0Keywords: CodeChange
Target Release: ---Flags: rule-engine: ovirt-4.3+
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ovirt-engine-4.3.0_rc2 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-13 07:45:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: Infra RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Sandro Bonazzola 2018-12-13 11:46:44 UTC
sonatype-oss-parent is used in oVirt Engine at ./backend/manager/modules/extensions-api-root/pom.xml

this library is going to be marked as deprecated in Fedora 30 (https://fedoraproject.org/wiki/Changes/Deprecate_Sonatype_OSS_Parent).

Upstream declares that the project is no longer active or supported
and that the software no longer work with latest Maven and/or Java
versions <ref>https://github.com/sonatype/oss-parents</ref>.  There
has been no development for more than 4 years.

Comment 1 Sandro Bonazzola 2019-02-13 07:45:05 UTC
This bugzilla is included in oVirt 4.3.0 release, published on February 4th 2019.

Since the problem described in this bug report should be
resolved in oVirt 4.3.0 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.